function processMpvVideo(filename,method,options)
    data.xRect =  [ 90  90 140 140]; data.yRect =  [ 30  80  80  30];
    options.ROI = [ 20  10 216 216];
    %load image
    imgPrev = im2double(imread('cameraman.tif')); [h w]=size(imgPrev);
    if exist(['track_init_' method],'file') 
        xPrev = feval(['track_init_' method],imgPrev,options);
    else
        xPrev = track_init(imgPrev,options);
    end
    fprintf('Found %d points of interest.\n\n',length(xPrev.x));
    %create sythetic movement
    A = [  1    0.05  -5
         -0.05   1    -2
           0     0     1];
    tmp = A \ [ data.xRect; data.yRect; ones(1,length(data.xRect)) ];
    dataRef.xRect = tmp(1,:) ./ tmp(3,:); dataRef.yRect = tmp(2,:) ./ tmp(3,:);
    [x y] = meshgrid((1:w)-1,(1:h)-1);   
    imgNew = interp2(imgPrev, A(1,1)*x+A(1,2)*y+A(1,3)+1, A(2,1)*x+A(2,2)*y+A(2,3)+1);
    % simulate tracking step   
    xNew = feval(['track_' method],imgPrev,imgNew,xPrev,options);
    figure; imagesc(imgPrev); colormap gray; axis image; showPoints(xPrev);
    line([data.xRect data.xRect(1)],[data.yRect data.yRect(1)], 'color', 'y');
    title('imgNew with the original rectangle');
    % find a homography
    figure;
    [dataOut xNewOut] = processMpvFrame(data,imgPrev,imgNew,xPrev,xNew,options);
    showPoints(xNew);
    line([dataRef.xRect dataRef.xRect(1)],[dataRef.yRect dataRef.yRect(1)], 'color', 'y');
    title('imgPrev with the transformed rectangle');
    % plot results
    fprintf('Found %d inliers %.2f percent of tentative correspondences.\n\n', length(xNewOut.ID), 100*length(xNewOut.ID)/length(xNew.ID));
    H = inv(dataOut.H / dataOut.H(3,3));
    fprintf('Original transformation matrix:\n'); disp(A / A(3,3));
    fprintf('Your homography matrix:\n'); disp(H / H(3,3));
    fprintf('Referece rectangle:\n'); disp([dataRef.xRect; dataRef.yRect]);
    fprintf('Your transformed rectangle:\n'); disp([dataOut.xRect; dataOut.yRect]);
    fprintf('Transformation error:\n'); disp([dataRef.xRect - dataOut.xRect; dataRef.yRect - dataOut.yRect]);
end    